Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.time.common
Class Trigger

    java.lang.Object
      |
      +--weblogic.common.internal.RemoteEntryPoint
            |
            +--weblogic.time.common.Trigger

Deprecated. As of WebLogic Server 7.0, replaced by `Timer`.

public final class Trigger
extends weblogic.common.internal.RemoteEntryPoint

The Trigger class is a wrapper for user-defined classes that implement Triggerable or TriggerDef. A Trigger can be used in calls to `TimeServicesDef.getScheduledTrigger()`. When a Trigger is constructed using a fully qualified class name -- rather than an actual instance -- an instance of the class is created on the WebLogic Server, using its default constructor.

If the user-supplied class implements TriggerDef, then the TriggerDef's `setServices()` and `triggerInit()` methods are called in that order, enabling access to WebLogic services and setting up initialization parameters.

Author:
  Copyright (c) 1996, WebLogic, Inc. All Rights Reserved, Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
See Also:
  `Triggerable`, `TriggerDef`, `TimeServicesDef`, Serialized Form

Fields inherited from class weblogic.common.internal.RemoteEntryPoint
`className, params, theObject`

Constructor Summary
`Trigger()` Deprecated. Constructs a default Trigger object.
`Trigger(java.lang.String entry)` Deprecated. Deprecated in WebLogic Server 6.1
`Trigger(java.lang.String entry, ParamSet ps)` Deprecated. Deprecated in WebLogic Server 6.1
`Trigger(Triggerable o)` Deprecated. Deprecated in WebLogic Server 6.1
`Trigger(Triggerable o, ParamSet ps)` Deprecated. Deprecated in WebLogic Server 6.1

Methods inherited from class weblogic.common.internal.RemoteEntryPoint
`className, destroy, equals, getName, getParamSet, getT3, initialize, newInstance, params, readExternal, theObject, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Trigger

    public Trigger()

  Deprecated.
  Constructs a default Trigger object. Internal use only.

### Trigger

    public Trigger(Triggerable o,
                   ParamSet ps)

  Deprecated. Deprecated in WebLogic Server 6.1
  Constructs a Trigger with the specified Object and set of parameters.

  Parameters:
    `o` - Triggerable or TriggerDef
    `ps` - ParamSet object

### Trigger

    public Trigger(Triggerable o)

  Deprecated. Deprecated in WebLogic Server 6.1
  Constructs a Trigger with the specified Object and set of parameters.

  Parameters:
    `o` - Triggerable or TriggerDef

### Trigger

    public Trigger(java.lang.String entry,
                   ParamSet ps)

  Deprecated. Deprecated in WebLogic Server 6.1
  Constructs a Trigger with the fully qualified package name of a user-written class and set of parameters. The user-written class must implement Triggerable or TriggerDef.

  Parameters:
    `entry` - Name of user-written class
    `ps` - ParamSet object

### Trigger

    public Trigger(java.lang.String entry)

  Deprecated. Deprecated in WebLogic Server 6.1
  Constructs a Trigger with the fully qualified package name of a user-written class. The user-written class must implement Triggerable or TriggerDef.

  Parameters:
    `entry` - Name of user-written class implementing Triggerable or TriggerDef

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference